Subject: bug#78927: [PATCH] Update `fill-region-as-paragraph-semlf' to follow fill.el protocols

From: Roi Martin <[email-masked]>
Date: Tue, 01 Jul 2025 10:44:11 +0200

Juri Linkov <[email-masked]> writes:

> Thanks, now I tried to change this setting in .dir-locals.el:
>
>   (fill-paragraph-function . fill-paragraph-semlf)
>
> to
>
>   (fill-region-as-paragraph-function . fill-region-as-paragraph-semlf)
>
> and everything works nicely with the default keybinding 'M-q'.

I'm glad to hear that!

> Shouldn't this way of enabling the new feature be mentioned in etc/NEWS?

I think so.  I plan to send a new patch that updates the etc/NEWS file
and also adds a small section about semantic-linefeed filling to the GNU
Emacs manual.  Something similar to what is described here:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78561#5

But also explaining how to do it in Emacs.  That will allow us to use
the manual as reference in the doc strings of the semlf functions.

        Roi